
#include <bindings.cmacros.h>
#include <stdio.h>
#include <gts.h>

BC_INLINE3(GTS_CHECK_VERSION,guint,guint,guint,gboolean)
BC_INLINE3(gts_point_is_in_rectangle,GtsPoint*,GtsPoint*,GtsPoint*,gboolean)
BC_INLINE1(g_slist_next,GSList*,GSList*)

void gts_surface_destroy(GtsSurface* s) {
  gts_object_destroy(GTS_OBJECT(s));
}

void gts_triangle_destroy(GtsTriangle *t) {
  gts_object_destroy(GTS_OBJECT(t));
}

void gts_vertex_destroy(GtsVertex *v) {
  gts_object_destroy(GTS_OBJECT(v));
}
